SystemOrganization addCategory: #'CS528su13-Tiki'!

Object subclass: #TikiPage
	instanceVariableNames: 'orderedLinks linkDictionary'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528su13-Tiki'!

TikiPage class
	instanceVariableNames: 'pageID'!

TikiPage class
	instanceVariableNames: 'pageID'!

!TikiPage class methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 18:38'!
newFrom:aString
|tempPage|
tempPage:=TikiPage new.
tempPage makeLinkDictionaryFrom:aString.
^tempPage! !

!TikiPage methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/3/2013 12:26'!
initialize 
linkDictionary:=Dictionary new.
orderedLinks:=OrderedCollection new.! !

!TikiPage methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 18:33'!
linkDictionary
^linkDictionary! !

!TikiPage methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/3/2013 12:30'!
makeLinkDictionaryFrom: aString 
|rawLinkList tempID tempText tempLength tempIndex|

rawLinkList:=aString findTokens:$#.
"linkDictionary:= Dictionary new."
orderedLinks removeAll.
(linkDictionary keys) do: [ :each |  linkDictionary removeKey: each ].

rawLinkList do: [:each | tempLength:=each size. tempIndex:=each indexOf:(Character space). tempID:=each copyFrom: 1 to: tempIndex-1. tempText:= each copyFrom: tempIndex+1 to:tempLength. orderedLinks add:tempID. linkDictionary at: (tempID asSymbol) put: tempText].
! !

!TikiPage methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/3/2013 12:29'!
orderedLinks
^orderedLinks! !

WAComponent subclass: #TikiWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528su13-Tiki'!

!TikiWeb methodsFor: 'as yet unclassified' stamp: 'PengLiu 7/3/2013 15:03'!
style 
	^'
	body { 
	margin: 0;
	font: 11px Lucida Grande, Verdana, Arial, Helvetica, sans serif;
	background: url(background.gif) repeat-x #fff;
}
img {
	border: 0px;
}

#header {
	height: 110px;
	text-align: right;
	background: url(header.gif) #7e9e50;
	color: #333;
	margin-bottom:25px;
}

#logo {
	float: left;
}

#menu {
	list-style-type: none;
	position: absolute;
	right: 0px;
	top: 95px;
	margin: 0px;
	padding: 0px;
	margin-top: -10px;
	padding-right: 5px;
}

#menu li {
	text-transform: lowercase;
	float: left;
}

#menu li a {
	display: block;
	width: 110px;
	padding-top: 9px;
	height: 16px;
	text-align: center;
	text-decoration: none;
	color: #fff;
	font-weight: bold;
	background: url(menu.gif) 110px 0px;
}

#menu a.active {
	color: #7f9f50;
	background: url(menu.gif) 0px 0px;
}

#menu a:hover {
	color: #7f9f50;
	background: url(menu.gif) 0px 0px;
}

#content {
	margin-left: 60px;
	margin-right: 60px;
}

#content h1 {
	font: 22px Georgia, serif;
	color: #7e9e50;
	font-weight: normal;
	margin: 0px;
	padding: 0px;
	text-transform: lowercase;
	font-style: italic;
	padding-bottom: 4px;
	border-bottom: 1px dotted #c5dea1;
	clear: left;
}

#content h2 {
	font: 18px Georgia, serif;
	color: #7e9e50;
	font-size: 15px;
	font-weight: normal;
	margin: 0px;
	padding: 0px;
	margin-top: 20px;
	text-transform: lowercase;
	font-style: italic;
}

#content h3 {
	font: 13px Lucida Grande, Verdana, Arial, Helvetica, sans serif;
	margin: 0px;
	padding: 0px;
	margin-left: 10px;
	margin-top: 10px;
	font-weight: bold;
	text-transform: lowercase;
	color: #444444;
}

#content p, div.paragraph {
	font-size: 12px;
	line-height: 1.7;
	color: #444444;
	margin-left: 10px;
	margin-top: 10px;
}

/* demo box */
div.box {
	width: 120px;
	height: 120px;
	margin-right: 10px;
	margin-bottom: 10px;
	background: url(demo.gif);
}

div.box div.header {
	height: 23px;
	background: url(demo-logo.gif) repeat-x;
}

div.box div.content {
	padding-top: 1em;
	text-align: center;
}

div.smallBox {
	width: 100%;
	height: 100%;
	background: url(demo.gif) ;
}

div.smallBox div.header {
	height: 20px;
	background: url(demo-logo.gif) repeat-x;
}
div.smallBox div.content {
	padding-top: 1em;
	text-align: center;
}

/* source code */
div.source {
	margin: 5px;
	padding: 5px;
	border: 1px solid #dddddd;
	background: #f5f5f5;
	font: 12px Lucida Sans Typewriter, Courier, monospace;
}
'! !

TikiWeb subclass: #TikiWebMain
	instanceVariableNames: 'mainInput currentPage editting'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528su13-Tiki'!

!TikiWebMain class methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 14:25'!
canBeRoot
^true! !

!TikiWebMain class methodsFor: 'as yet unclassified' stamp: 'PengLiu 7/3/2013 15:06'!
initialize
	super initialize.
! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/3/2013 13:00'!
initialize
super initialize.
editting:=false.
mainInput:='Test input'.
"currentPage:=TikiPage newFrom:'#fruit apples bananas #pets dog cat bear'."
currentPage:=TikiPage newFrom:'#red car apple stopsign mars #blue sky ocean blueberry'.! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 14:43'!
mainInput
^mainInput! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 14:54'!
mainInput: anInput
mainInput:=anInput! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'NateOrlow 7/1/2013 18:23'!
processTagClick: aSymbol 
	self inform: 'You clicked on ',( aSymbol asString)! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'PengLiu 7/3/2013 14:40'!
renderBox: aString on: html
	html div id: aString; class: 'box'; with: [
		html div class: 'header'.
		html div
			class: 'content';
			with: 'Smalltalk Enterprise Aubergines' ]! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'PengLiu 7/3/2013 15:26'!
renderBox: aString on: html with: contentString
	html div id: aString; class: 'box'; with: [
		html div class: 'header'.
		html div
			class: 'content';
			with: contentString ]! !

!TikiWebMain methodsFor: 'as yet unclassified' stamp: 'PengLiu 7/3/2013 15:40'!
renderContentOn: html 
		html heading: 'TextClicking '.
		html break.
		"this doesn't update currently"
		html div id: 'content';
			with: [ 
		html paragraph: [ 
		html anchor 
			onClick: (html scriptaculous effect 
				id: 'toggle_red';
				perform: #toggleSlide );
			with: 'car apple stopsign mars'].
		self renderBox: 'toggle_red' on: html with: 'They are red.'
		].
		
		html break.
		html div id: 'content';
			with: [ 
		html paragraph: [ 
		html anchor 
			onClick: (html scriptaculous effect 
				id: 'toggle_blue';
				perform: #toggleSlide );
			with: 'sky ocean blueberry'].
		self renderBox: 'toggle_blue' on: html with: 'They are blue.'
		].
! !
TikiWebMain initialize!
